## attr 2.4.48

=== debian/changelog ===
attr (1:2.4.48-6) unstable; urgency=medium

  * Update French translation. Closes: #942092
    Thanks to Jean-Pierre Giraud <jenapierregiraud75@free.fr>.
  * Switch to Standards-Version 4.5.1 (no changes needed).
  * Switch to debhelper compatibility level 13.
  * Do not pass --add-uedb to dh_makeshlibs, it is handled automatically now.
  * Add include/attr to debian/clean to fix building twice in a row.
  * Add Forwarded information to patches.
  * Install xattr.conf from the staged installation directory instead of the
    source directory.
  * Switch to the dh sequencer.
  * Add debian/upstream/metadata file.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 15:58:08 +0100

attr (1:2.4.48-5) unstable; urgency=medium

  * Switch to debhelper-compat (= 12) in Build-Depends from debian/compat.
  * Switch to Standards-Version 4.4.0 (no changes needed).
  * Update Dutch translation. Closes: #925922
    Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>.
  * Fix attr(1) man page to remove the notion that it is XFS-specific.
    Closes: #883661
  * Fix man pages to stop using mdoc specific macros.
  * Fix cross-compilation for musl-based systems by bumping the minimum
    required gettext version to the one that stopped checking for internal
    GNU gettext symbols, which musl does not provide.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Sep 2019 04:17:57 +0200

attr (1:2.4.48-4) unstable; urgency=medium

  * Replace gettext with autopoint in autopkgtest Depends fields.

 -- Guillem Jover <guillem@debian.org>  Fri, 01 Mar 2019 23:03:21 +0100

attr (1:2.4.48-3) unstable; urgency=medium

  * Run «autoreconf -f -i» in autopkgtests to handle modified build system
    sources due to patching, triggering regeneration of the build system,
    and failing because the exact tool versions are not available.

 -- Guillem Jover <guillem@debian.org>  Fri, 01 Mar 2019 13:38:28 +0100

attr (1:2.4.48-2) unstable; urgency=medium

  * Run upstream test suite separately from the build, so that we can ignore
    just the test suite errors. This was in practice not a problem as we then
    call the install target, so we'd catch errors later on, but still wrong.
  * Remove now unnecessary debian/clean file.
  * Fix silent and verbose builds:
    - Only pass VERBOSE=1 to the check target where it is relevant.
    - Pass --disable-silent-rules to configure only when terse is not present.
  * Remove spurious escaped newline in «make install».
  * Uniformize assignment of --build and --host options for configure.
  * Reorder .PHONY entries.
  * Add minimally required build dependencies to autopkgtest Depends fields.
  * Rename attr-autoconf-version-check.patch to
    build-require-autoconf-version.patch and improve its description fields.

 -- Guillem Jover <guillem@debian.org>  Fri, 01 Mar 2019 01:26:21 +0100

attr (1:2.4.48-1) unstable; urgency=medium

  * New upstream release.
    - Add upstream signing key, and modify debian/watch file to fetch and
      check orig tarball signatures.
    - Refresh patches:
      + 00-no-debian-Makefile.patch: Remove, fixed upstream.
      + 01-configure.in.patch: Ditto.
      + 02-687531-fix-missing-ldflags.patch: Ditto.
      + 15-test-perl-warning.patch: Update, rename to test-perl-warning.patch.
      + 12-643587-attr-autoconf-version-check.patch: Update, rename to
        attr-autoconf-version-check.patch.
    - Make the syscall wrappers be Linux-specific again.
      + syscalls-linux.patch: New patch.
    - Upstream removed the <attr/xattr.h> header, put a compat header back
      that uses <sys/xattr.h> for the heavy lifting. Closes: #782428
      + compat-xattr-header.patch: New patch.
    - Pull patches from upstream git master:
      + 0001-test-escape-left-brace-in-a-regex-in-test-run.patch
      + 0002-man-fix-bold-style-in-SEE-ALSO-section.patch
      + 0003-man-standardize-AUTHORS-section.patch
      + 0004-Enable-large-file-support-on-systems-that-do-not-ena.patch
      + 0005-getfattr.1-by-default-only-user-namespace-attributes.patch
      + 0006-attr_list.3-Fix-the-attributes.h-include-path.patch
      + 0007-Switch-back-to-syscall.patch
      + 0008-attr_multi-attr_multif-Don-t-set-errno-to-EINVAL.patch
      + 0009-attr_list-attr_listf-Guard-against-unterminated-buff.patch
    - Update attr_copy_action in symbols file for newly assigned version node.
    - Update minimum version for shlibs file.
    - Update debian/rules to handle the modernized upstream build system.
    - Update autopkgtests to handle the modernized upstream build system.
    - Update debian/copyright file.
    - The package should build now on musl. Closes: #782830
  * Include new pkg-config file.
  * Include /etc/xattr.conf in shared library package, required by
    attr_copy_action() function.
  * Add Build-Depends-Package field to the symbols file.
  * Enable all hardening build flags.
  * Remove Multi-Arch fields from udeb packages.
  * Mark autopkgtest tests as flaky instead of superficial, they do not cope
    well with the Debian buildd environment.
  * Add build-essential to autopkgtest Depends fields.
  * Remove trailing whitespace and blank lines from debian/copyright.
  * Fix several typos in the man pages.

 -- Guillem Jover <guillem@debian.org>  Thu, 28 Feb 2019 03:55:50 +0100

=== debian/control ===
Source: attr
Section: utils
Priority: optional
Maintainer: Guillem Jover <guillem@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 autoconf,
 automake,
 gettext,
 libtool,
Standards-Version: 4.5.1
Homepage: https://savannah.nongnu.org/projects/attr/
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/attr.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/attr.git

Package: attr
Architecture: any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libattr1 (= ${binary:Version}),
Description: utilities for manipulating filesystem extended attributes
 A set of tools for manipulating extended attributes on filesystem
 objects, in particular getfattr(1) and setfattr(1).
 An attr(1) command is also provided which is largely compatible
 with the SGI IRIX tool of the same name.

Package: libattr1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libc6-dev | libc-dev,
 libattr1 (= ${binary:Version}),
Provides:
 attr-dev,
Replaces:
 attr-dev,
Conflicts:
 attr-dev,
Description: extended attributes handling - static libraries and headers
 This package contains the libraries and header files needed to develop
 programs which make use of extended attributes.  For Linux programs,
 the documented system call API is the recommended interface, but an
 SGI IRIX compatibility interface is also provided.
 .
 Currently most filesystems support extended attributes.
 The SGI IRIX compatibility API built above the Linux system calls is
 used by programs such as xfsdump(8), xfsrestore(8) and xfs_fsr(8).

Package: libattr1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: extended attribute handling - shared library
 Contains the runtime environment required by programs that make use
 of extended attributes.

Package: attr-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libattr1-udeb (= ${binary:Version}),
Description: utilities for manipulating filesystem extended attributes

Package: libattr1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: extended attribute handling - shared library

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	dh_auto_test || true

override_dh_installchangelogs:
	dh_installchangelogs doc/CHANGES

override_dh_makeshlibs:
	dh_makeshlibs -N libattr1
	dh_makeshlibs -p libattr1 -V 'libattr1 (>= 1:2.4.48)'

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.savannah.gnu.org/releases/attr/attr-(\d.*?)(?:\.src)?\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## attr 2.5.1

=== debian/changelog ===
attr (1:2.5.1-4) unstable; urgency=medium

  * Switch to Standards-Version 4.6.2 (no changes needed).
  * Do not trim debian/changelog.
  * Update debian/patches metadata.
  * Make globs in debhelper fragment files more specific.
  * Refresh upstream OpenPGP signing certificates.

 -- Guillem Jover <guillem@debian.org>  Tue, 17 Jan 2023 23:34:38 +0100

attr (1:2.5.1-3) unstable; urgency=medium

  * Fix copy&paste error in lintian-overrides.

 -- Guillem Jover <guillem@debian.org>  Sun, 04 Dec 2022 16:02:59 +0100

attr (1:2.5.1-2) unstable; urgency=medium

  * Switch to Standards-Version 4.6.1 (no changes needed).
  * Override lintian false positive for hardening-no-fortify-functions hint.
  * Update Forwarded field in patches.
  * Fix apostrophe usage in man pages.

 -- Guillem Jover <guillem@debian.org>  Sat, 03 Dec 2022 13:26:53 +0100

attr (1:2.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove upstream patches included in this release.
    - Refresh remaining patches.
    - Update upstream signing key.
  * Add support for the noudeb build profile.

 -- Guillem Jover <guillem@debian.org>  Sun, 29 Aug 2021 13:04:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
+ debhelper (>= 13.10),
  autoconf,
  automake,
  gettext,
  libtool,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://savannah.nongnu.org/projects/attr/
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/attr.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/attr.git
@@ -66,6 +67,7 @@
 
 Package: attr-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: any
 Depends:
@@ -76,6 +78,7 @@
 
 Package: libattr1-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: any
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh_auto_test || true
 
 override_dh_installchangelogs:
-	dh_installchangelogs doc/CHANGES
+	dh_installchangelogs --no-trim doc/CHANGES
 
 override_dh_makeshlibs:
 	dh_makeshlibs -N libattr1

## attr 2.5.2

=== examples/Makefile ===
CFLAGS = -g -Wall -I../include
LDLIBS = -lattr

PROGS = copyattr

all : $(PROGS)

clean:
	rm -f $(PROGS)

=== debian/changelog ===
attr (1:2.5.2-4) unstable; urgency=medium

  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.
  * Switch to debian/watch version 5.
  * Add spaces around make assignment operators to distinguish from shell ones.
  * Switch to Standards-Version 4.7.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 15 Feb 2026 14:26:01 +0100

attr (1:2.5.2-3) unstable; urgency=medium

  * Update upstream Dutch translation. Closes: #1065512
    Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>.
  * Switch to Standards-Version 4.7.1 (no changes needed).
  * Improve markup and editorial changes for setfattr(1).
    Thanks to Bjarni Ingi Gislason <bjarniig@simnet.is>. Closes: #1092503
  * Improve font selection markup in man pages.
  * Reorganize patches to clearly separate upstream from local ones.

 -- Guillem Jover <guillem@debian.org>  Fri, 21 Feb 2025 11:29:11 +0100

attr (1:2.5.2-2) unstable; urgency=medium

  * Drop backwards compatibility <attr/xattr.h> header, provided by libc
    implementations as <sys/xattr.h>. It's been more than 5 years, since
    upstream dropped that header, and we reintroduced it for backwards
    compatibility. The remaining users seem pretty abandoned, we'll just
    drop the header and let those handle the switch or meet their own fate.
  * Take patch from upstream to add include <libgen.h> header for basename(2)
    to fix build failure on musl systems. Closes: #1070123
  * Mention the origins of ENOATTR in man pages. Closes: #463119
  * Switch to Standards-Version 4.7.0 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sat, 12 Oct 2024 20:00:33 +0200

attr (1:2.5.2-1) unstable; urgency=medium

  * New upstream release.
    - Remove upstream patches included in this release.
    - Update upstream signing key.
    - Do not list no longer existing files in not-installed.

 -- Guillem Jover <guillem@debian.org>  Thu, 25 Jan 2024 04:28:26 +0100

attr (1:2.5.1-5) unstable; urgency=medium

  * Wrap fields in debian/tests/control.
  * Apply upstream patches first then local ones in the debian/patches/series.
  * Update manual page references from attr(5) to xattr(7).
  * Rework attr(1) manual page:
    - Fix formatting markup.
    - Use namespace instead of address space.
    - Update xattr namespaces used.
    - Make it clear the command is a legacy tool for compatibility with
      the IRIX command of the same name.
    - Mention that the initial intended filesystem was XFS, but can work
      with other filesystems.
    - Change reference to xfsdump() to reference to GNU tar xattr support.
    Closes: #1034439

 -- Guillem Jover <guillem@debian.org>  Mon, 25 Dec 2023 00:02:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: attr
 Section: utils
-Priority: optional
 Maintainer: Guillem Jover <guillem@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  debhelper (>= 13.10),
@@ -10,7 +8,7 @@
  automake,
  gettext,
  libtool,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://savannah.nongnu.org/projects/attr/
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/attr.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/attr.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-#export DH_VERBOSE=1
+#export DH_VERBOSE = 1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

=== debian/watch ===
Version: 5

Source: https://download.savannah.gnu.org/releases/attr/
Matching-Pattern: attr-(\d.*?)(?:\.src)?\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
Pgp-Sig-Url-Mangle: s/$/.sig/
Update-Script: uupdate

## attr dicts-1.0.1

=== requirements.txt ===
dotmap
json
torch
numpy

## attr utils-0.0.2

=== requirements.txt ===
attrs>=19.3.0

## attr utils-0.1.1

=== requirements.txt ===
attrs>=19.3.0
domdf_python_tools>=0.8.1

## attr utils-0.3.1

=== requirements.txt ===
attrs>=19.3.0
domdf_python_tools>=0.8.1
typing_inspect>=0.6.0

## attr utils-0.5.1

=== requirements.txt ===
attrs>=19.3.0
domdf_python_tools>=0.8.1
prettyprinter==0.18.0
toolz>=0.11.1
typing_inspect>=0.6.0

## attr utils-0.5.5

=== requirements.txt ===
attrs>=19.3.0
domdf-python-tools>=0.8.1
prettyprinter==0.18.0
toolz>=0.11.1
typing-extensions>=3.7.4.3
typing-inspect>=0.6.0

## attr utils-0.5.6

=== requirements.txt ===
attrs>=19.3.0
domdf-python-tools>=2.7.0
prettyprinter==0.18.0
toolz>=0.11.1
typing-extensions>=3.7.4.3
typing-inspect>=0.6.0

## attr utils-0.6.1

=== requirements.txt ===
attrs>=19.3.0
domdf-python-tools>=2.7.0
toolz>=0.11.1
typing-extensions>=3.7.4.3
typing-inspect>=0.6.0; python_version == "3.6"

## attr utils-0.7.0

=== requirements.txt ===
attrs>=19.3.0
domdf-python-tools>=2.9.0
toolz>=0.11.1
typing-extensions>=3.7.4.3
typing-inspect>=0.6.0; python_version == "3.6"
